Kea: isc::dhcp::TokenFilterIA_NA Class Reference

| Kea 3.2.0-git

isc::dhcp::TokenFilterIA_NA Class Reference

Filter all IA_NA so that no option is matched by the expression. More...

Inheritance diagram for isc::dhcp::TokenFilterIA_NA:
[legend]

## Public Member Functions
| TokenFilterIA_NA (const RepresentationType &rep_type)
| Constructor.
virtual OptionPtr | getOption (Pkt &)
| Get no option regardless of what the packet contains.
Public Member Functions inherited from isc::dhcp::TokenOption
| TokenOption (const uint16_t option_code, const RepresentationType &rep_type)
| Constructor that takes an option code as a parameter.
virtual unsigned | evaluate (Pkt &pkt, ValueStack &values)
| Evaluates the values of the option.
uint16_t | getCode () const
| Returns option-code.
RepresentationType | getRepresentation () const
| Returns representation-type.
Public Member Functions inherited from isc::dhcp::Token
virtual | ~Token ()
| Virtual destructor.
virtual unsigned | getLabel () const
| Return the label of this token.

## Additional Inherited Members
Public Types inherited from isc::dhcp::TokenOption
enum | RepresentationType { TEXTUAL , HEXADECIMAL , EXISTS }
| Token representation type. More...
Static Public Member Functions inherited from isc::dhcp::Token
static bool | toBool (std::string value)
| Coverts a (string) value to a boolean.
Protected Member Functions inherited from isc::dhcp::TokenOption
virtual std::string | pushFailure (ValueStack &values)
| Auxiliary method that puts string representing a failure.
Protected Attributes inherited from isc::dhcp::TokenOption
uint16_t | option_code_
| Code of the option to be extracted.
RepresentationType | representation_type_
| Representation type.

## Detailed Description

Filter all IA_NA so that no option is matched by the expression.

Definition at line 151 of file lease6_callouts.cc.

## Constructor & Destructor Documentation

## ◆ TokenFilterIA_NA()

isc::dhcp::TokenFilterIA_NA::TokenFilterIA_NA | ( | const RepresentationType & | rep_type | ) |
| inline

Constructor.

Parameters

  rep_type | Token representation type.

Definition at line 156 of file lease6_callouts.cc.

References isc::dhcp::TokenOption::TokenOption(), and D6O_IA_NA.

Referenced by isc::dhcp::TokenFilterIA_NASuboption::TokenFilterIA_NASuboption().

Here is the call graph for this function:

## Member Function Documentation

## ◆ getOption()

virtual OptionPtr isc::dhcp::TokenFilterIA_NA::getOption | ( | Pkt & |  | ) |
| inlinevirtual

Get no option regardless of what the packet contains.

Parameters

  pkt | The packet containing options.

Returns
  Always return null option.

Reimplemented from isc::dhcp::TokenOption.

Reimplemented in isc::dhcp::TokenFilterIA_NASuboption.

Definition at line 163 of file lease6_callouts.cc.

Referenced by isc::dhcp::TokenFilterIA_NASuboption::getOption().

The documentation for this class was generated from the following file:

- lease6_callouts.cc